API ReferenceEvents
Fetch all events
Fetch all events
Authorization
X-API-KEY X-API-KEY<token>
In: header
Query Parameters
startDate?string
Format
dateendDate?string
Format
datesportType?string
Filter events for a specific type of sport.
Value in
"wsl" | "sls" | "nrx" | "spr" | "masl" | "pbr" | "bkfc" | "f1" | "motogp" | "motocrs" | "fdrift" | "mxgp" | "jaialai" | "gsoc" | "motoamerica" | "byb" | "powerslap" | "usac" | "nhra" | "cdc" | "sprmtcrs" | "hlrs" | "xgame" | "worldoutlaws" | "dgpt" | "athletesunlimited" | "lux" | "raf" | "nll" | "mltt" | "spectation"sortOrder?string
Order in which the results should be sorted
Value in
"DESC" | "ASC"eventStatus?array<>
Event statuses for which to return results.
Response Body
application/json
curl -X GET "https://loading/api/v1/public/events?startDate=2024-04-18T15%3A25%3A24Z&endDate=2024-04-20T15%3A25%3A24Z"[
{
"id": "nrx:2127ea10-6110-4ffd-9403-3e33fc0929de",
"numericEventId": 1174117206190029,
"name": "Billabong Pro Pipeline",
"sportLogo": "https://assets.altsportsdata.com/public/images/sports/nhra.png",
"tourName": "World Surf League",
"startDate": "2022-01-29T13:00:00Z",
"endDate": "2022-02-10T19:00:00Z",
"year": 2022,
"eventNumber": 1,
"eventStatus": "COMPLETED",
"eventLocation": "Margaret River",
"eventLocationNumericId": 1174117206190029,
"eventLocationGroup": "Margaret River Group",
"providerId": "string",
"updatedAt": "2022-02-10T19:00:00Z"
}
]